%global fontname oflb-roadstencil
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.0
Release:        12%{?dist}
Summary:        Roadstencil Fonts

Group:          User Interface/X
License:        OFL
## Note that upstream is dead and there is no download link available at this minute
## so please don't report FTBFS bugs for this package.
URL:            http://openfontlibrary.org/media/files/andyfitz/237
Source0:        http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf
Source1:        %{name}-fontconfig.conf
#license text extracted from font file
Source2:        License.txt
BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Obsoletes:      roadstencil-fonts < 1.0-9
Provides:       roadstencil-fonts = %{version}-%{release}

%description
A rough font influenced by roadwork stencils

%prep
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2}  .

%build
#nothing to do

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.otf
%doc  License.txt

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Parag Nemade <pnemade AT redhat.com> - 1.0-9
- Initial package to rename from roadstencil-fonts.
- updated/renamed this package according to fonts packaging guidelines.

